class_name CombatTactic extends Resource

@export var tactic_name: String = ""
@export var tactic_range: CombatTacticRange

func get_offensive_stats(unit: Unit) -> Variant:
	return null

func get_relevant_defense(unit: Unit) -> int:
	return unit.current_stats.phys_def

func deals_damage() -> bool:
	return false
